;IsHeapStr
MNEM_HEAP		equ 1 shl 0
OPER1_HEAP		equ 1 shl 1
OPER2_HEAP		equ 1 shl 2
OPER3_HEAP		equ 1 shl 3
OPER4_HEAP		equ 1 shl 4
OPER5_HEAP		equ 1 shl 5
MO_RANGES		equ 1 shl 6
ANALYSES_HEAP	equ 1 shl 7
;InitInstrEx dwFlags
SINGLE_DASM		equ 1 shl 8
PLAIN_DASM		equ MNEM_HEAP or OPER1_HEAP or OPER2_HEAP or OPER3_HEAP or OPER4_HEAP or OPER5_HEAP
ANALYSES_AREA	equ PLAIN_DASM or SINGLE_DASM
STD_INSTR		equ PLAIN_DASM or MO_RANGES
EXT_INSTR		equ STD_INSTR or ANALYSES_HEAP
;dwFlags
OFFSETS_COL			equ (1 shl 0)
HEX_COL				equ (1 shl 1)
RIP_ADDRS			equ (1 shl 2)
REL_ADDRS			equ (1 shl 3)
CR					equ (1 shl 4)
NOT_TABBED			equ (1 shl 5)
LF					equ (1 shl 6)
ALT_MNEM			equ (1 shl 7)
REL_FFFF_ADDRS		equ (1 shl 8)
DB_STRING			equ (1 shl 9)
ADDR_COMPACT		equ (1 shl 10)
CR_LF				equ (CR or LF or ALT_MNEM)
STD_MNEM			equ (CR_LF or OFFSETS_COL or HEX_COL or ALT_MNEM or ADDR_COMPACT)
RIP_REL				equ (RIP_ADDRS or REL_ADDRS or CR_LF or ALT_MNEM)
STD_CLEAR_MNEM		equ (NOT_TABBED or ALT_MNEM)
RIP_REL_LF			equ (RIP_ADDRS or REL_ADDRS or LF or ALT_MNEM)
RIP_REL_FFFF		equ (RIP_ADDRS or REL_ADDRS or CR_LF or ALT_MNEM or REL_FFFF_ADDRS)
LONG_MODE     equ 0
LEGACY_MODE32 equ 1
LEGACY_MODE16 equ 2
LoadDsm64 PROTO
UnloadDsm64 PROTO
JumpToNative64 PROTO C Arg64:VARARG
JumpToNative32 PROTO C Arg64:VARARG
InitInstr PROTO C CodePtr:PVOID,mbz1:DWORD,AlterBase:QWORD,Mode:BYTE,mbz2:DWORD,CodeSize:DWORD,mbz3:DWORD
InitInstrEx PROTO C CodePtr:PVOID,mbz1:DWORD,AlterBase:QWORD,Mode:BYTE,mbz2:DWORD,CodeSize:DWORD,mbz3:DWORD,dwFlags:DWORD,mbz4:DWORD
ReinitInstr PROTO C hInstr:PVOID,mbz0:DWORD,CodePtr:PVOID,mbz1:DWORD,AlterBase:QWORD,Mode:BYTE,mbz2:DWORD,CodeSize:DWORD,mbz3:DWORD
SetCPointer PROTO C hInstr:PVOID,mbz1:DWORD,CodePtr:PVOID,mbz2:DWORD
Assemble PROTO C hInstr:PVOID,mbz1:DWORD,Mnemonic:PVOID,mbz2:DWORD
AssembleEx PROTO C hInstr:PVOID,mbz1:DWORD,Mnemonic:PVOID,mbz2:DWORD,AlterOpc:BYTE,mbz3:DWORD
Disassemble PROTO C hInstr:PVOID,mbz1:DWORD,Mnemonic:PVOID,mbz2:DWORD,MnemLen:PVOID,mbz3:DWORD,dwFlags:DWORD,mbz4:DWORD
FreeInstr PROTO C hInstr:PVOID,mbz1:DWORD
InstrDasm PROTO C hInstr:PVOID,mbz1:DWORD
JoinMnemonic PROTO C hInstr:PVOID,mbz1:DWORD,Mnemonic:PVOID,mbz2:DWORD,MnemLen:PVOID,mbz3:DWORD,dwFlags:DWORD,mbz4:DWORD
InstrEF PROTO C hInstr:PVOID,mbz1:DWORD
LastInstrLength PROTO C hInstr:PVOID,mbz1:DWORD
DsmVersion PROTO
SetMode PROTO C hInstr:PVOID,mbz1:DWORD,Mode:BYTE,mbz2:DWORD
StrToInt PROTO C IntVal:PVOID,mbz1:DWORD,AsciiStr:LPSTR,mbz2:DWORD,Radix:DWORD,mbz3:DWORD,dwFlags:DWORD,mbz4:DWORD
IntToStr PROTO C AsciiStr:LPSTR,mbz1:DWORD,IntVal:PVOID,mbz2:DWORD,Radix:DWORD,mbz3:DWORD,dwFlags:DWORD,mbz4:DWORD
SetCPointerEx PROTO C hInstr:PVOID,mbz1:DWORD,CodePtr:DWORD,mbz2:DWORD,LowAltBase:DWORD,HighAltBase:DWORD,CodeSize:DWORD,mbz3:DWORD
GetJump64Selector PROTO
SetJump64Selector PROTO C NewSelector:WORD
DivNumbers PROTO C Quotient:PVOID,mbz1:DWORD,Remainder:PVOID,mbz2:DWORD,Arg1:PVOID,mbz3:DWORD,\
	Divider:PVOID,mbz4:DWORD,dwFlags:DWORD,mbz5:DWORD
MulNumbers PROTO C LowResult:PVOID,mbz1:DWORD,HighResult:PVOID,mbz2:DWORD,Arg1:PVOID,mbz3:DWORD,\
	Arg2:PVOID,mbz4:DWORD,dwFlags:DWORD,mbz5:DWORD
OrNumbers PROTO C Result:PVOID,mbz1:DWORD,FirstArg:PVOID,mbz2:DWORD,\
	SecondArg:PVOID,mbz3:DWORD,dwFlags:DWORD,mbz4:DWORD
XorNumbers PROTO C Result:PVOID,mbz1:DWORD,FirstArg:PVOID,mbz2:DWORD,\
	SecondArg:PVOID,mbz3:DWORD,dwFlags:DWORD,mbz4:DWORD
AndNumbers PROTO C Result:PVOID,mbz1:DWORD,FirstArg:PVOID,mbz2:DWORD,\
	SecondArg:PVOID,mbz3:DWORD,dwFlags:DWORD,mbz4:DWORD
ShrNumber PROTO C Result:PVOID,mbz1:DWORD,SourceArg:PVOID,mbz2:DWORD,\
	ShiftCount:PVOID,mbz3:DWORD,dwFlags:DWORD,mbz4:DWORD
ShlNumber PROTO C Result:PVOID,mbz1:DWORD,SourceArg:PVOID,mbz2:DWORD,\
	ShiftCount:PVOID,mbz3:DWORD,dwFlags:DWORD,mbz4:DWORD
NegateNumber PROTO C Result:PVOID,mbz1:DWORD,SourceArg:PVOID,mbz2:DWORD,dwFlags:DWORD,mbz3:DWORD
SubNumbers PROTO C Result:PVOID,mbz1:DWORD,FirstArg:PVOID,mbz2:DWORD,\
	SecondArg:PVOID,mbz3:DWORD,dwFlags:DWORD,mbz4:DWORD
AddNumbers PROTO C Result:PVOID,mbz1:DWORD,FirstArg:PVOID,mbz2:DWORD,\
	SecondArg:PVOID,mbz3:DWORD,dwFlags:DWORD,mbz4:DWORD
NotNumber PROTO C Result:PVOID,mbz1:DWORD,SourceArg:PVOID,mbz2:DWORD,dwFlags:DWORD,mbz3:DWORD
GetInterruptProps PROTO C Vector:PVOID,mbz1:DWORD
GetMediaExceptionProps PROTO C Vector:PVOID,mbz1:DWORD
GetX87ExceptionProps PROTO C Vector:PVOID,mbz1:DWORD
IsDFCondition PROTO C Exception1:PVOID,mbz1:DWORD,Exception2:PVOID,mbz2:DWORD
GetExceptions PROTO C hInstr:PVOID,mbz1:DWORD
GetLatency PROTO C hInstr:PVOID,mbz1:DWORD,Latency:PVOID,mbz2:DWORD,\
	Context:PVOID,mbz3:DWORD,Flags:DWORD,mbz4:DWORD
LatToStr PROTO C LatStr:LPSTR,mbz1:DWORD,Latency:PVOID,mbz2:DWORD,Flags:DWORD,mbz3:DWORD
SetLoadall PROTO C hInstr:PVOID,mbz1:DWORD,Enabled:BOOL,mbz2:DWORD
SetLzcnt PROTO C hInstr:PVOID,mbz1:DWORD,Enabled:BOOL,mbz2:DWORD
SetArch PROTO C hInstr:PVOID,mbz1:DWORD,ArchFlag:BOOL,mbz2:DWORD