include asmdasm.inc
.code
SendOut proc <4> pText:QWORD
	mov pText,rcx
	invoke GetWindowTextLength,hMainEdit
	invoke SendMessage,hMainEdit,EM_SETSEL,rax,rax
	invoke SendMessage,hMainEdit,EM_REPLACESEL,FALSE,pText
	ret
SendOut endp
WinMain proc <12>
LOCAL msgs:MSG
;	lea rax,metka34
;metka34:
;	jmp rax
;	invoke InstrDasm,0
	mov lcontext._Rcx,100
	mov lcontext._Rax,80000002h
	call RichEditLoad
	xor ebx,ebx
	invoke RegisterClassEx,addr wcex
	mov r10,CW_USEDEFAULT
	invoke CreateWindowEx,rbx,addr ClassName,addr AppName,WS_OVERLAPPEDWINDOW or WS_VISIBLE,r10,r10,r10,r10,rbx,rbx,hInstance,rbx
	lea rdi,msgs
	.while TRUE
		invoke GetMessage,rdi,rbx,rbx,rbx
		.break .if ~rax
		invoke TranslateMessage,rdi
		invoke DispatchMessage,rdi
	.endw
	invoke FreeLibrary,hRichLib
	invoke ExitProcess,[rdi][MSG.wParam]
WinMain endp
WndProc proc <12> uses rbx rsi rdi hWnd:QWORD,uMsg:QWORD,wParam:QWORD,lParam:QWORD
RESERV hWin dq ?
RESERV hShowList16 dq ?
RESERV hShowList32 dq ?
RESERV hShowList64 dq ?
RESERV hEdit16 dq ?
RESERV hEdit32 dq ?
RESERV hEdit64 dq ?
RESERV hSmm dq ?
RESERV hMainEdit dq ?
RESERV hClear dq ?
RESERV hMnemEdit dq ?
RESERV hFont dq ?
RESERV hChFont HWND ?
RESERV rects RECT {}
RESERV FileName db MAX_PATH dup(?)
CONSTANT Mnem16 db 'xor [bp+si+0AE45h],di',0
CONSTANT Mnem32 db 'cmpxchg8b qword ptr [eax+8*ebp]',0
CONSTANT Mnem64 db 'shrd [eax],esp,cl',0
CONSTANT Clearing db 'Clear screen',0
CONSTANT Dasm16 db 'Disassemble16',0
CONSTANT Dasm32 db 'Disassemble32',0
CONSTANT Dasm64 db 'Disassemble64',0
CONSTANT LTexti db 'instr. length ',0
CONSTANT ChFont db 'Choose font',0
CONSTANT Clear db 'Clear',0
	.if edx==WM_COMMAND
		.if r9==hShowList16
			invoke GetWindowText,hEdit16,addr mnem,sizeof mnem
			invoke AsmTest16,addr dmnem,addr mnem
			.goto Exit .if ~eax
			invoke SendOut,addr dmnem
			.if ERFlags
				invoke SendOut,addr RFlags
				invoke SendOut,addr ERFlags
			.endif
			.if mMxcsr
				invoke SendOut,addr MxcsrHeader
				invoke SendOut,addr mMxcsr
				invoke SendOut,addr MxcsrEnd
			.endif
			.if x87Cond
				invoke SendOut,addr fpuPattern
				invoke SendOut,addr x87Cond
			.endif
			.data?
				IntBuff		QWORD ?
				ExceptBuff db 256 dup(?)
			.code
		ShowExceptions:
			mov rbx,lExcepts
			movzx esi,Exceptions.eCount[rbx]
			add rbx,2
			.while esi
				lea rdi,ExceptBuff
				movzx eax,ExceptionPtr.Vector[rbx]
				mov IntBuff,rax
				invoke IntToStr,rdi,addr IntBuff,10,STD_DEC
				mov rdi,rax
				mov dptr [rdi],'    '
				add rdi,4
				movzx eax,ExceptionPtr.Flags[rbx]
				mov IntBuff,rax
				invoke IntToStr,rdi,addr IntBuff,2,STD_BIN
				mov rdi,rax
				mov dptr [rdi],'    '
				add rdi,4
				movzx eax,ExceptionPtr.NoteIndex[rbx]
				mov IntBuff,rax
				invoke IntToStr,rdi,addr IntBuff,10,STD_DEC
				mov rdi,rax
				mov dptr [rdi],0A0Dh
				invoke SendOut,addr ExceptBuff
				dec esi
				add rbx,sizeof ExceptionPtr
			.endw
			mov rbx,lLatn
			.if rbx
				lea rbx,loc_ltn
				lea rdi,lLatnStr
				mov dptr [rdi],':ntl'
				invoke LatToStr,addr [rdi+4],rbx,CR_LF
				invoke SendOut,rdi
			.endif
		.elseif r9==hShowList32
			invoke GetWindowText,hEdit32,addr mnem,sizeof mnem
			invoke AsmTest32,addr dmnem,addr mnem
			.goto Exit .if ~eax
			invoke SendOut,addr dmnem
			.if ERFlags
				invoke SendOut,addr RFlags
				invoke SendOut,addr ERFlags
			.endif
			.if mMxcsr
				invoke SendOut,addr MxcsrHeader
				invoke SendOut,addr mMxcsr
				invoke SendOut,addr MxcsrEnd
			.endif
			.if x87Cond
				invoke SendOut,addr fpuPattern
				invoke SendOut,addr x87Cond
			.endif
			jmp ShowExceptions
		.elseif r9==hShowList64
			invoke GetWindowText,hEdit64,addr mnem,sizeof mnem
			invoke AsmTest64,addr dmnem,addr mnem
			.goto Exit .if ~eax
			invoke SendOut,addr dmnem
			.if ERFlags
				invoke SendOut,addr RFlags
				invoke SendOut,addr ERFlags
			.endif
			.if mMxcsr
				invoke SendOut,addr MxcsrHeader
				invoke SendOut,addr mMxcsr
				invoke SendOut,addr MxcsrEnd
			.endif
			.if x87Cond
				invoke SendOut,addr fpuPattern
				invoke SendOut,addr x87Cond
			.endif
			jmp ShowExceptions
		.elseif r9==hClear
			mov ERFlags,NULL
			invoke SetWindowText,hMainEdit,addr ERFlags
		.elseif r9==hChFont
			STATIC ChsFont CHOOSEFONT{sizeof CHOOSEFONT,0,0,0,0,0,0,0,0,0,0,0,0,0,0}
			mov rax,hInstance
			mov ChsFont.hInstance,rax
			mov rax,hWnd
			mov ChsFont.hwndOwner,rax
			mov ChsFont.Flags,CF_BOTH or CF_INITTOLOGFONTSTRUCT
			lea rax,lfFont
			mov ChsFont.lpLogFont,rax
			invoke ChooseFont,addr ChsFont
			.if eax
				invoke CreateFontIndirect,addr lfFont
				lock xchg hFont,rax
				invoke DeleteObject,rax
				invoke SendMessage,hMainEdit,WM_SETFONT,hFont,TRUE
			.endif
		.endif
	.elseif edx==WM_SHOWWINDOW
		mov hWin,rcx
		invoke CreateWindowEx,0,addr button,addr Dasm16,WS_VISIBLE or WS_CHILD,20,15,110,25,hWin,0,hInstance,0
		mov hShowList16,rax
		invoke CreateWindowEx,0,addr button,addr Dasm32,WS_VISIBLE or WS_CHILD,20,45,110,25,hWin,0,hInstance,0
		mov hShowList32,rax
		invoke CreateWindowEx,0,addr button,addr Dasm64,WS_VISIBLE or WS_CHILD,20,75,110,25,hWin,0,hInstance,0
		mov hShowList64,rax
		invoke CreateWindowEx,0,addr button,addr ChFont,WS_VISIBLE or WS_CHILD,845,15,100,25,hWin,0,hInstance,0
		mov hChFont,rax
		invoke CreateWindowEx,0,addr button,addr Clear,WS_VISIBLE or WS_CHILD,845,45,100,25,hWin,0,hInstance,0
		mov hClear,rax
		invoke CreateWindowEx,0,addr edit,addr Mnem16,WS_VISIBLE or WS_TABSTOP or WS_CHILD or ES_LEFT,\
		135,15,700,25,hWin,0,hInstance,0
		mov hEdit16,rax
		invoke CreateWindowEx,0,addr edit,addr Mnem32,WS_VISIBLE or WS_TABSTOP or WS_CHILD or ES_LEFT,\
		135,45,700,25,hWin,0,hInstance,0
		mov hEdit32,rax
		invoke CreateWindowEx,0,addr edit,addr Mnem64,WS_VISIBLE or WS_TABSTOP or WS_CHILD or ES_LEFT,\
		135,75,700,25,hWin,0,hInstance,0
		mov hEdit64,rax
;		invoke CreateWindowEx,0,addr edit,addr Mnem64,WS_VISIBLE or WS_TABSTOP or WS_CHILD or ES_LEFT,\
;		135,105,700,25,hWin,0,hInstance,0
;		mov hSmm,rax
		CONSTANT RichEditClass db 'RichEdit20A',0
		invoke CreateWindowEx,WS_EX_CLIENTEDGE,addr RichEditClass,0,RICH_STYLE,\
		30,60,900,450,hWin,0,hInstance,0
		mov hMainEdit,rax
		invoke SendMessage,hMainEdit,EM_SETTYPOGRAPHYOPTIONS,TO_SIMPLELINEBREAK,TO_SIMPLELINEBREAK
		invoke SendMessage,hMainEdit,EM_SETEDITSTYLE,SES_EMULATESYSEDIT,SES_EMULATESYSEDIT
		invoke GetClientRect,hWin,addr rects
		sub rects.bottom,150
		mov r10d,rects.bottom
		mov r9d,rects.right
		mov edx,rects.left
		invoke MoveWindow,hMainEdit,rdx,60,r9,r10,TRUE
		invoke CreateFontIndirect,addr lfFont
		mov hFont,rax
		invoke SetRichHilite,hMainEdit,addr hFont
	.elseif edx==WM_SIZE
		invoke GetClientRect,hWin,addr rects
		sub rects.bottom,150
		mov r10d,rects.bottom
		mov r9d,rects.right
		mov edx,rects.left
		invoke MoveWindow,hMainEdit,rdx,150,r9,r10,TRUE
	.elseif edx==WM_DESTROY
		invoke PostQuitMessage,NULL
	.else
		leave
		jmp DefWindowProc
	.endif
Exit:
	xor eax,eax
	ret
WndProc endp
RichEditLoad proc <4> argak:QWORD
	.data?
		hRichLib		HMODULE ?
		hHirich			HMODULE ?
		SetRichHilite	PVOID ?
	.code
	invoke LoadLibrary,"hirich.dll"
	mov hHirich,rax
	invoke GetProcAddress,hHirich,"SetRichHilite"
	mov SetRichHilite,rax
	invoke LoadLibrary,"riched20.dll"
	mov hRichLib,rax
	ret
RichEditLoad endp
breakpoint proc uses rcx rax rdx r8 r9 r10 r11
	call IsDebuggerPresent
	.if eax
		int 3
	.endif
	ret
breakpoint endp
AsmTest64 proc dMnemonic:PVOID,Mnemonic:PVOID
LOCAL hInstr:HINSTR
LOCAL AsmDasm[16]:BYTE,ilen:ULONG64
	mov dMnemonic,rcx
	mov Mnemonic,rdx
	invoke InitInstr,addr AsmDasm,StartAddr,LONG_MODE,sizeof AsmDasm
	mov hInstr,rax
	invoke SetArch,hInstr,ARCH_AMD64
	invoke SetArch,hInstr,ARCH_INTEL64
	invoke SetLzcnt,hInstr,TRUE
	invoke SetLzcnt,hInstr,FALSE
	invoke SetLoadall,hInstr,TRUE
	;invoke SetLoadall,hInstr,FALSE
	;or [rax][Instruction.DsmCtrl],INDEX_BP
	invoke Assemble,hInstr,Mnemonic
	mov ilen,rax
	.if ~eax || eax==-1 || eax}MaxInstrLen
		invoke MessageBox,hWin,addr Error,0,MB_OK
		xor eax,eax
		ret
	.endif
	;invoke JoinMnemonic,hInstr,dMnemonic,NULL,(RIP_REL or HEX_COL or OFFSETS_COL)
	invoke JoinMnemonic,hInstr,dMnemonic,NULL,STD_MNEM
	invoke MxcsrFlags,hInstr
	invoke x87Conditions,hInstr
	invoke InstrEF,hInstr
	invoke EffRFlags,rax
	mov rax,hInstr
	movzx rax,[rax][Instruction.InstrLen]
	mov rax,ilen
	add StartAddr,rax
	invoke GetExceptions,hInstr
	mov lExcepts,rax
	invoke GetLatency,hInstr,addr loc_ltn,addr LCntx,LAT_BULLDOZER
	mov lLatn,rax
	invoke FreeInstr,hInstr
	mov eax,TRUE
	ret
AsmTest64 endp
AsmTest32 proc dMnemonic:PVOID,Mnemonic:PVOID
LOCAL hInstr:HINSTR
LOCAL AsmDasm[16]:BYTE,ilen:ULONG64
	mov dMnemonic,rcx
	mov Mnemonic,rdx
	invoke InitInstr,addr AsmDasm,StartAddr,LEGACY_MODE32,sizeof AsmDasm
	mov hInstr,rax
	;or [rax][Instruction.DsmCtrl],INDEX_BP
	invoke Assemble,hInstr,Mnemonic
	mov ilen,rax
	.if ~eax || eax==-1
		invoke MessageBox,hWin,addr Error,0,MB_OK
		xor eax,eax
		ret
	.endif
	invoke JoinMnemonic,hInstr,dMnemonic,NULL,(RIP_REL or HEX_COL or OFFSETS_COL)
	;invoke JoinMnemonic,hInstr,dMnemonic,NULL,STD_MNEM
	invoke MxcsrFlags,hInstr
	invoke x87Conditions,hInstr
	invoke InstrEF,hInstr
	invoke EffRFlags,rax
	mov rax,hInstr
	movzx rax,[rax][Instruction.InstrLen]
	mov rax,ilen
	;add StartAddr,rax
	invoke GetExceptions,hInstr
	mov lExcepts,rax
	invoke GetLatency,hInstr,addr loc_ltn,addr LCntx,LAT_BULLDOZER
	mov lLatn,rax
	invoke FreeInstr,hInstr
	mov eax,TRUE
	ret
AsmTest32 endp
AsmTest16 proc dMnemonic:PVOID,Mnemonic:PVOID
LOCAL hInstr:HINSTR
LOCAL AsmDasm[16]:BYTE,ilen:ULONG64
	mov dMnemonic,rcx
	mov Mnemonic,rdx
	invoke InitInstr,addr AsmDasm,StartAddr,LEGACY_MODE16,sizeof AsmDasm
	mov hInstr,rax
	;or [rax][Instruction.DsmCtrl],INDEX_BP
	invoke Assemble,hInstr,Mnemonic
	mov ilen,rax
	.if ~eax || eax==-1
		invoke MessageBox,hWin,addr Error,0,MB_OK
		xor eax,eax
		ret
	.endif
	invoke JoinMnemonic,hInstr,dMnemonic,NULL,(STD_MNEM or (REL_ADDRS))
	;invoke JoinMnemonic,hInstr,dMnemonic,NULL,STD_MNEM
	invoke MxcsrFlags,hInstr
	invoke x87Conditions,hInstr
	invoke InstrEF,hInstr
	invoke EffRFlags,rax
	mov rax,hInstr
	movzx rax,[rax][Instruction.InstrLen]
	mov rax,ilen
	;add StartAddr,rax
	invoke GetExceptions,hInstr
	mov lExcepts,rax
	invoke GetLatency,hInstr,addr loc_ltn,addr LCntx,LAT_BULLDOZER
	mov lLatn,rax
	invoke FreeInstr,hInstr
	mov eax,TRUE
	ret
AsmTest16 endp
EffRFlags proc ;pEF:PVOID
.const
sNA db '  NA'
s_0 db '  _0'
s_1 db '  _1'
sU db '   U'
s_Mod db '_Mod'
sTMod db 'TMod'
s_Pop db '_Pop'
sTPop db 'TPop'
sTst db ' Tst'
slAH db ' lAH'
vms0 db 'VMS0'
vmin db 'vmin'
vmen db 'vmen'
.code
	test rcx,rcx
	mov ERFlags,0
	jz Exit
	lea rax,ERFlags
	lea r10,sNA
	mov r11,17
	.repeat
		.if r11==10
			mov byte ptr [rax],' '
			inc rax
		.endif
		movzx edx,byte ptr [rcx]
		inc rcx
		mov edx,[r10+4*rdx]
		mov [rax],edx
		mov byte ptr [rax][4],','
		add rax,5
		dec r11
	.until ZERO?
	mov dword ptr [rax-1],0A0Dh
Exit:
	ret
EffRFlags endp
MxcsrFlags proc uses rbx Instruc:HINSTR
	mov rbx,rcx
	mov eax,[rbx][Instruction.iMxcsr]
	.if ~eax
		mov mMxcsr,0
		ret
	.endif
	lea rcx,mMxcsr
	mov edx,20202020h
	mov [rcx],edx
	add rcx,4
	.if eax&(1 shl 17)
		mov byte ptr [rcx-1],'M'
	.endif
	mov [rcx],edx
	add rcx,4
	.if eax&(1 shl 15)
		mov byte ptr [rcx-1],'M'
	.endif
	mov [rcx],dx
	add rcx,2
	mov [rcx],edx
	add rcx,4
	.if eax&(3 shl 13)
		mov byte ptr [rcx-1],'M'
	.endif
	mov [rcx],edx
	add rcx,4
	.if eax&(1 shl 12)
		mov byte ptr [rcx-1],'M'
	.endif
	mov [rcx],edx
	add rcx,4
	.if eax&(1 shl 11)
		mov byte ptr [rcx-1],'M'
	.endif
	mov [rcx],edx
	add rcx,4
	.if eax&(1 shl 10)
		mov byte ptr [rcx-1],'M'
	.endif
	mov [rcx],edx
	add rcx,4
	.if eax&(1 shl 9)
		mov byte ptr [rcx-1],'M'
	.endif
	mov [rcx],edx
	add rcx,4
	.if eax&(1 shl 8)
		mov byte ptr [rcx-1],'M'
	.endif
	mov [rcx],edx
	add rcx,4
	.if eax&(1 shl 7)
		mov byte ptr [rcx-1],'M'
	.endif
	mov [rcx],edx
	add rcx,4
	.if eax&(1 shl 6)
		mov byte ptr [rcx-1],'M'
	.endif
	mov [rcx],edx
	add rcx,4
	.if eax&(1 shl 5)
		mov byte ptr [rcx-1],'M'
	.endif
	mov [rcx],edx
	add rcx,4
	.if eax&(1 shl 4)
		mov byte ptr [rcx-1],'M'
	.endif
	mov [rcx],edx
	add rcx,4
	.if eax&(1 shl 3)
		mov byte ptr [rcx-1],'M'
	.endif
	mov [rcx],edx
	add rcx,4
	.if eax&(1 shl 2)
		mov byte ptr [rcx-1],'M'
	.endif
	mov [rcx],edx
	add rcx,4
	.if eax&(1 shl 1)
		mov byte ptr [rcx-1],'M'
	.endif
	mov [rcx],edx
	add rcx,4
	.if eax&(1 shl 0)
		mov byte ptr [rcx-1],'M'
	.endif
	mov dword ptr [rcx],0A0Dh
	ret
MxcsrFlags endp
x87Conditions proc uses rbx Instruc:HINSTR
	mov rax,qword ptr [rcx][Instruction.x87Condition.C0]
	lea r8,x87Cond
	.if ~rax
		mov [r8],al
		ret
	.endif
	lea rdx,sNA
	movzx eax,[rcx][Instruction.x87Condition.C0]
	mov eax,[rdx+4*rax]
	mov byte ptr [r8],' '
	mov [r8+1],eax
	add r8,5
	movzx eax,[rcx][Instruction.x87Condition.C1]
	mov eax,[rdx+4*rax]
	mov byte ptr [r8],' '
	mov [r8+1],eax
	add r8,5
	movzx eax,[rcx][Instruction.x87Condition.C2]
	mov eax,[rdx+4*rax]
	mov byte ptr [r8],' '
	mov [r8+1],eax
	add r8,5
	movzx eax,[rcx][Instruction.x87Condition.C3]
	mov eax,[rdx+4*rax]
	mov byte ptr [r8],' '
	mov [r8+1],eax
	add r8,5
	.const
	align 4
	Rules LABEL DWORD
		db '    '
		db 'lmem'
		db '_rng'
		db '_ovs'
		db ' v0q'
		db ' v1q'
		db ' v2q'
		db 'fpri'
		db 'rnup'
		db 'fexm'
		db '_ous'
		db 'cmp0'
		db 'ex00'
		db 'ex01'
		db 'ex02'
		db 'ex03'
	.code
	lea rdx,Rules
	movzx eax,[rcx][Instruction.x87Condition.dC0]
	mov eax,[rdx+4*rax]
	mov byte ptr [r8],' '
	mov [r8+1],eax
	add r8,5
	movzx eax,[rcx][Instruction.x87Condition.dC1]
	mov eax,[rdx+4*rax]
	mov byte ptr [r8],' '
	mov [r8+1],eax
	add r8,5
	movzx eax,[rcx][Instruction.x87Condition.dC2]
	mov eax,[rdx+4*rax]
	mov byte ptr [r8],' '
	mov [r8+1],eax
	add r8,5
	movzx eax,[rcx][Instruction.x87Condition.dC3]
	mov eax,[rdx+4*rax]
	mov byte ptr [r8],' '
	mov [r8+1],eax
	add r8,5
	mov dword ptr [r8],0A0Dh
	ret
x87Conditions endp
end