.686
.model flat,stdcall
OPTION casemap:none
include dsmwow64.inc
JumpToNative64 PROTO C Arg64:VARARG
.data
FarJump64	LABEL FWORD
		dd offset JmpToNative64
Seg64	dw 33h
FarJump32	LABEL FWORD
		dd offset JmpToNative32
Seg32	dw ?
FarWin32	LABEL FWORD
			dd offset JmpToWin32
SegWin32	dw ?
.data?
hSelf				HANDLE ?
hMap				DWORD ?
hDsm				DWORD ?
DsmSize				DWORD ?
Code64				PVOID ?
exps MACRO expNames:VARARG
%   FOR parm,<expNames>
   		Orig&parm dd ?
   		dd ?
    ENDM	
ENDM
OrigFuncs			LABEL DWORD
	exps Assemble
	exps AssembleEx
	exps Disassemble
	exps DsmVersion
	exps FreeInstr
	exps InitInstr
	exps InstrDasm
	exps InstrEF
	exps JoinMnemonic
	exps LastInstrLength
	exps ReinitInstr
	exps SetCPointer
	exps InitInstrEx
	exps SetCPointerEx
	exps IntToStr
	exps StrToInt
	exps SetMode
	exps DivNumbers
	exps MulNumbers
	exps OrNumbers
	exps XorNumbers
	exps AndNumbers
	exps ShrNumber
	exps ShlNumber
	exps NegateNumber
	exps SubNumbers
	exps AddNumbers
	exps NotNumber
	exps GetInterruptProps
	exps GetMediaExceptionProps
	exps GetX87ExceptionProps
	exps IsDFCondition
	exps GetExceptions
	exps GetLatency
	exps LatToStr
	exps SetLoadall
	exps SetLzcnt
	exps SetArch
	exps SetBMI1
pGetProcessHeap		dd ?
					dd ?
pHeapAlloc			dd ?
					dd ?
pHeapFree			dd ?
					dd ?
.code
DllEntryPoint proc hinstDLL:HINSTANCE,fdwReason:DWORD,lpReserved:LPVOID
	mov edx,fdwReason
	.if edx==DLL_PROCESS_ATTACH
		mov ecx,hinstDLL
		mov hSelf,ecx
		invoke DisableThreadLibraryCalls,ecx
		mov eax,cs
		mov Seg32,ax
		mov SegWin32,ax
	.endif
	mov eax,TRUE
	ret
DllEntryPoint endp
LoadDsm64 proc uses ebx esi edi
LOCAL DsmPath[MAX_PATH]:BYTE
LOCAL DsmHeader:PVOID
LOCAL ExportSize:DWORD
LOCAL TotalFuncs:DWORD
LOCAL Section:DWORD
LOCAL Entry:DWORD
	.const
		dsmhelp	db 'dsmhelp.dll',0
	.code
	invoke GetModuleFileName,hSelf,addr DsmPath,sizeof DsmPath
	.repeat
		dec eax
	.until DsmPath[eax]=='\'
	invoke lstrcpy,addr DsmPath[eax][1],addr dsmhelp
	invoke CreateFile,addr DsmPath,GENERIC_READ or GENERIC_EXECUTE or GENERIC_WRITE,\
		FILE_SHARE_READ,0,OPEN_EXISTING,0,0
	mov hDsm,eax
	invoke GetFileSize,eax,NULL
	mov DsmSize,eax
	invoke VirtualAlloc,NULL,eax,MEM_COMMIT,PAGE_EXECUTE_READWRITE
	mov Code64,eax
	invoke ReadFile,hDsm,Code64,DsmSize,addr Entry,0
	invoke CloseHandle,hDsm
	invoke RtlImageNtHeader,Code64
	mov DsmHeader,eax
	mov ecx,[eax][IMAGE_NT_HEADERS64.OptionalHeader.AddressOfEntryPoint]
	mov Entry,ecx
	movzx ecx,[eax][IMAGE_NT_HEADERS64.FileHeader.SizeOfOptionalHeader]
	lea eax,[eax][ecx][4]
TryAgain:
	lea eax,[eax][sizeof IMAGE_FILE_HEADER]
	mov edx,IMAGE_SECTION_HEADER.VirtualAddress[eax]
	mov ecx,IMAGE_SECTION_HEADER.SizeOfRawData[eax]
	add ecx,edx
	cmp Entry,edx
	jb TryAgain
	cmp Entry,ecx
	ja TryAgain
	sub Entry,edx
	mov edx,Code64
	add edx,IMAGE_SECTION_HEADER.PointerToRawData[eax]
	add edx,Entry
	lea eax,[edx-592+3]
	invoke JumpToNative64,addr OrigFuncs,NULL
	mov eax,pGetProcessHeap
	mov [eax],offset j64GetProcessHeap
	mov dword ptr [eax][4],0
	mov eax,pHeapAlloc
	mov dword ptr [eax],offset j64HeapAlloc
	mov dword ptr [eax][4],0
	mov eax,pHeapFree
	mov dword ptr [eax],offset j64HeapFree
	mov dword ptr [eax][4],0
	ret
LoadDsm64 endp
j64GetProcessHeap proc
	mov eax,offset GetProcessHeap
	jmp JumpToWin32
j64GetProcessHeap endp
j64HeapAlloc proc
	mov eax,offset HeapAlloc
	jmp JumpToWin32
j64HeapAlloc endp
j64HeapFree proc
	mov eax,offset HeapFree
	jmp JumpToWin32
j64HeapFree endp
UnloadDsm64 proc
	invoke VirtualFree,Code64,DsmSize,MEM_DECOMMIT
	ret
UnloadDsm64 endp
SetJump64Selector proc C NewSelector:WORD
	movzx eax,NewSelector
	lock xchg ax,Seg64
	ret
SetJump64Selector endp
GetJump64Selector proc
	movzx eax,Seg64
	ret
GetJump64Selector endp
OPTION PROLOGUE:none
Disassemble proc C hInstr:PVOID,mbz1:DWORD,Mnemonic:PVOID,mbz2:DWORD,MnemLen:PVOID,mbz3:DWORD,dwFlags:DWORD,mbz4:DWORD
	mov eax,OrigDisassemble
	jmp JumpToNative64
Disassemble endp
InstrDasm proc C hInstr:PVOID,mbz1:DWORD
	mov eax,OrigInstrDasm
	jmp JumpToNative64
InstrDasm endp
JoinMnemonic proc C hInstr:PVOID,mbz1:DWORD,Mnemonic:PVOID,mbz2:DWORD,MnemLen:PVOID,mbz3:DWORD,dwFlags:DWORD,mbz4:DWORD
	mov eax,OrigJoinMnemonic
	jmp JumpToNative64
JoinMnemonic endp
SetCPointer proc C hInstr:PVOID,mbz1:DWORD,CodePtr:PVOID,mbz2:DWORD
	mov eax,OrigSetCPointer
	jmp JumpToNative64
SetCPointer endp
Assemble proc C hInstr:PVOID,mbz1:DWORD,Mnemonic:PVOID,mbz2:DWORD
	mov eax,OrigAssemble
	jmp JumpToNative64
Assemble endp
AssembleEx proc C hInstr:PVOID,mbz1:DWORD,Mnemonic:PVOID,mbz2:DWORD,AlterOpc:BYTE,mbz3:DWORD
	mov eax,OrigAssembleEx
	jmp JumpToNative64
AssembleEx endp
InitInstr proc C CodePtr:PVOID,mbz1:DWORD,AlterBase:QWORD,Mode:BYTE,mbz2:DWORD,CodeSize:DWORD,mbz3:DWORD
	mov eax,OrigInitInstr
	jmp JumpToNative64
InitInstr endp
InitInstrEx proc C CodePtr:PVOID,mbz1:DWORD,AlterBase:QWORD,Mode:BYTE,mbz2:DWORD,CodeSize:DWORD,mbz3:DWORD,dwFlags:DWORD,mbz4:DWORD
	mov eax,OrigInitInstrEx
	jmp JumpToNative64
InitInstrEx endp
ReinitInstr proc C hInstr:PVOID,mbz0:DWORD,CodePtr:PVOID,mbz1:DWORD,AlterBase:QWORD,Mode:BYTE,mbz2:DWORD,CodeSize:DWORD,mbz3:DWORD
	mov eax,OrigReinitInstr
	jmp JumpToNative64
ReinitInstr endp
FreeInstr proc C hInstr:PVOID,mbz1:DWORD
	mov eax,OrigFreeInstr
	jmp JumpToNative64
FreeInstr endp
DsmVersion proc
	mov eax,OrigDsmVersion
	jmp JumpToNative64
DsmVersion endp
InstrEF proc C hInstr:PVOID,mbz1:DWORD
	mov eax,OrigInstrEF
	jmp JumpToNative64
InstrEF endp
LastInstrLength proc C hInstr:PVOID,mbz1:DWORD
	mov eax,OrigLastInstrLength
	jmp JumpToNative64
LastInstrLength endp
SetCPointerEx proc C hInstr:PVOID,mbz1:DWORD,CodePtr:DWORD,mbz2:DWORD,LowAltBase:DWORD,HighAltBase:DWORD,CodeSize:DWORD,mbz3:DWORD
	mov eax,OrigSetCPointerEx
	jmp JumpToNative64
SetCPointerEx endp
IntToStr proc C AsciiStr:LPSTR,mbz1:DWORD,IntVal:PVOID,mbz2:DWORD,Radix:DWORD,mbz3:DWORD,dwFlags:DWORD,mbz4:DWORD
	mov eax,OrigIntToStr
	jmp JumpToNative64
IntToStr endp
StrToInt proc C IntVal:PVOID,mbz1:DWORD,AsciiStr:LPSTR,mbz2:DWORD,Radix:DWORD,mbz3:DWORD,dwFlags:DWORD,mbz4:DWORD
	mov eax,OrigStrToInt
	jmp JumpToNative64
StrToInt endp
SetMode proc C hInstr:PVOID,mbz1:DWORD,Mode:BYTE,mbz2:DWORD
	mov eax,OrigSetMode
	jmp JumpToNative64
SetMode endp
DivNumbers proc C Quotient:PVOID,mbz1:DWORD,Remainder:PVOID,mbz2:DWORD,Arg1:PVOID,mbz3:DWORD,\
	Divider:PVOID,mbz4:DWORD,dwFlags:DWORD,mbz5:DWORD
	mov eax,OrigDivNumbers
	jmp JumpToNative64
DivNumbers endp
MulNumbers proc C LowResult:PVOID,mbz1:DWORD,HighResult:PVOID,mbz2:DWORD,Arg1:PVOID,mbz3:DWORD,\
	Arg2:PVOID,mbz4:DWORD,dwFlags:DWORD,mbz5:DWORD
	mov eax,OrigMulNumbers
	jmp JumpToNative64
MulNumbers endp
OrNumbers proc C Result:PVOID,mbz1:DWORD,FirstArg:PVOID,mbz2:DWORD,\
	SecondArg:PVOID,mbz3:DWORD,dwFlags:DWORD,mbz4:DWORD
	mov eax,OrigOrNumbers
	jmp JumpToNative64
OrNumbers endp
XorNumbers proc C Result:PVOID,mbz1:DWORD,FirstArg:PVOID,mbz2:DWORD,\
	SecondArg:PVOID,mbz3:DWORD,dwFlags:DWORD,mbz4:DWORD
	mov eax,OrigXorNumbers
	jmp JumpToNative64
XorNumbers endp
AndNumbers proc C Result:PVOID,mbz1:DWORD,FirstArg:PVOID,mbz2:DWORD,\
	SecondArg:PVOID,mbz3:DWORD,dwFlags:DWORD,mbz4:DWORD
	mov eax,OrigAndNumbers
	jmp JumpToNative64
AndNumbers endp
ShrNumber proc C Result:PVOID,mbz1:DWORD,SourceArg:PVOID,mbz2:DWORD,\
	ShiftCount:PVOID,mbz3:DWORD,dwFlags:DWORD,mbz4:DWORD
	mov eax,OrigShrNumber
	jmp JumpToNative64
ShrNumber endp
ShlNumber proc C Result:PVOID,mbz1:DWORD,SourceArg:PVOID,mbz2:DWORD,\
	ShiftCount:PVOID,mbz3:DWORD,dwFlags:DWORD,mbz4:DWORD
	mov eax,OrigShlNumber
	jmp JumpToNative64
ShlNumber endp
NegateNumber proc C Result:PVOID,mbz1:DWORD,SourceArg:PVOID,mbz2:DWORD,dwFlags:DWORD,mbz3:DWORD
	mov eax,OrigNegateNumber
	jmp JumpToNative64
NegateNumber endp
SubNumbers proc C Result:PVOID,mbz1:DWORD,FirstArg:PVOID,mbz2:DWORD,\
	SecondArg:PVOID,mbz3:DWORD,dwFlags:DWORD,mbz4:DWORD
	mov eax,OrigSubNumbers
	jmp JumpToNative64
SubNumbers endp
AddNumbers proc C Result:PVOID,mbz1:DWORD,FirstArg:PVOID,mbz2:DWORD,\
	SecondArg:PVOID,mbz3:DWORD,dwFlags:DWORD,mbz4:DWORD
	mov eax,OrigAddNumbers
	jmp JumpToNative64
AddNumbers endp
NotNumber proc C Result:PVOID,mbz1:DWORD,SourceArg:PVOID,mbz2:DWORD,dwFlags:DWORD,mbz3:DWORD
	mov eax,OrigNotNumber
	jmp JumpToNative64
NotNumber endp
GetInterruptProps proc C Vector:PVOID,mbz1:DWORD
	mov eax,OrigGetInterruptProps
	jmp JumpToNative64
GetInterruptProps endp
GetMediaExceptionProps proc C Vector:PVOID,mbz1:DWORD
	mov eax,OrigGetMediaExceptionProps
	jmp JumpToNative64
GetMediaExceptionProps endp
GetX87ExceptionProps proc C Vector:PVOID,mbz1:DWORD
	mov eax,OrigGetX87ExceptionProps
	jmp JumpToNative64
GetX87ExceptionProps endp
IsDFCondition proc C Exception1:PVOID,mbz1:DWORD,Exception2:PVOID,mbz2:DWORD
	mov eax,OrigIsDFCondition
	jmp JumpToNative64
IsDFCondition endp
GetExceptions proc C hInstr:PVOID,mbz1:DWORD
	mov eax,OrigGetExceptions
	jmp JumpToNative64
GetExceptions endp
GetLatency proc C hInstr:PVOID,mbz1:DWORD,Latency:PVOID,mbz2:DWORD,\
	Context:PVOID,mbz3:DWORD,Flags:DWORD,mbz4:DWORD
	mov eax,OrigGetLatency
	jmp JumpToNative64
GetLatency endp
LatToStr proc C LatStr:LPSTR,mbz1:DWORD,Latency:PVOID,mbz2:DWORD,Flags:DWORD,mbz3:DWORD
	mov eax,OrigLatToStr
	jmp JumpToNative64
LatToStr endp
SetLoadall proc C hInstr:PVOID,mbz1:DWORD,Enabled:BOOL,mbz2:DWORD
	mov eax,OrigSetLoadall
	jmp JumpToNative64
SetLoadall endp
SetLzcnt proc C hInstr:PVOID,mbz1:DWORD,Enabled:BOOL,mbz2:DWORD
	mov eax,OrigSetLzcnt
	jmp JumpToNative64
SetLzcnt endp
SetArch proc C hInstr:PVOID,mbz1:DWORD,ArchFlag:BOOL,mbz2:DWORD
	mov eax,OrigSetArch
	jmp JumpToNative64
SetArch endp
SetBMI1 proc C hInstr:PVOID,mbz1:DWORD,Enabled:BOOL,mbz2:DWORD
	mov eax,OrigSetBMI1
	jmp JumpToNative64
SetBMI1 endp
OPTION PROLOGUE:PrologueDef
JumpToNative64 proc C uses ebx edi esi Arg64:VARARG
LOCAL svEsp:DWORD
	mov svEsp,esp
	sub esp,10h
	and esp,0FFFFFFF0h
	lea esi,Arg64
	call FarJump64
	mov esp,svEsp
	ret
JumpToNative64 endp
JmpToNative64 proc far
	mov ebx,esp
	mov ecx,28
	sub esp,4*30
	mov edi,esp
	rep movsd
	db 48h
	mov ecx,[esp]
	db 48h
	mov edx,[esp+8]
	db 4Ch
	mov eax,[esp+10h]
	db 4Ch
	mov ecx,[esp+18h]
	call eax
	mov esp,ebx
	ret
JmpToNative64 endp
JumpToNative32 proc
	db 48h
	mov [esp+8],ecx
	db 48h
	mov [esp+10h],edx
	db 4Ch
	mov [esp+18h],eax
	db 4Ch
	mov [esp+20h],ecx
	mov ecx,offset FarJump32
	call fword ptr [ecx]
	ret
JumpToNative32 endp
JmpToNative32 proc far C uses edi esi ebx RetAddr:QWORD,Arg64:VARARG
	mov ebx,esp
	sub esp,4*30
	lea esi,Arg64
	mov ecx,28
	mov edi,esp
	rep movsd
	call eax
	mov esp,ebx
	ret
JmpToNative32 endp
JumpToWin32 proc
	db 48h
	mov [esp+8],ecx
	db 48h
	mov [esp+10h],edx
	db 4Ch
	mov [esp+18h],eax
	db 4Ch
	mov [esp+20h],ecx
	mov ecx,offset FarWin32
	call fword ptr [ecx]
	ret
JumpToWin32 endp
JmpToWin32 proc far C uses edi esi ebx RetAddr:QWORD,Arg64:VARARG
	mov ebx,esp
	sub esp,4*30
	lea esi,Arg64
	mov ecx,14
	mov edi,esp
	push eax
	.repeat
		mov eax,[esi]
		mov [edi],eax
		add esi,8
		add edi,4
	.untilcxz
	pop eax
	call eax
	or eax,eax
	mov esp,ebx
	ret
JmpToWin32 endp
end DllEntryPoint